package com.ca.directory.jxplorer.editor;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;



/**
 *    This interface defines the basis for BinaryEditors.
 *    BinaryEditors implementing this interface, that 
 *    have the name [object class]Editor.class, will be
 *    dynamically loaded, providing that it implements
 *    (in addition to this interface) a no-argument constructor..
 */
public interface AbstractBinaryEditor
{
    /**
     *    the main function; takes an EditableBinary object that
     *    can then be, well, edited.  
     *
     *    @param editMe the array of bytes to be modified.
     */
     
    public void setValue(EditableBinary editMe);
    
    /**
     *    An optional utility ftn that returns the edited object...
     *    may not be used in normal operation since setValue(...)
     *    can update the EditableBinary object.
     */
     
//    public EditableBinary getValue();
}