
package com.ca.pki.util;

import java.awt.*;
import java.io.File;

/**
 * A class for storing common constants.
 *
 * @author vbui
 */
public class Constants
{

	public final static String CONFIG_URL 	= "dirConfigURL";
	public final static String CONFIG_DIR_URL= "localhost:15389";

	/**
	 * NoFont-ITALIC-10.
	 */
	public static final Font tinyFont = new Font("NoFont", Font.ITALIC, 10);

	/**
	 * NoFont-PLAIN-11.
	 */
	public static final Font normFont = new Font("NoFont", Font.PLAIN, 11);

	/**
	 * NoFont-BOLD-11.
	 */
	public static final Font normBoldFont = new Font("NoFont", Font.BOLD, 11);

	/**
	 * NoMedFont-ITALIC-10.
	 */
	public static final Font medItFont = new Font("NoFont", Font.ITALIC, 13);

	/**
	 * NoMedFont-PLAIN-11.
	 */
	public static final Font medNormFont = new Font("NoFont", Font.PLAIN, 13);

	/**
	 * NoMedBoldFont-BOLD-13.
	 */
	public static final Font medBoldDialogFont = new Font("Dialog", Font.BOLD, 13);

	/**
	 * NoMedFont-PLAIN-13.
	 */
	public static final Font medDialogFont = new Font("Dialog", Font.PLAIN, 13);

	/**
	 * NoMedFont-BOLD-16.
	 */
	public static final Font lgeDialogFont = new Font("Dialog", Font.BOLD, 16);

	/**
	 * DialogInput-BOLD-20.
	 */
	public static final Font bigFont = new Font("DialogInput", Font.BOLD, 20);

	/**
	 * Helvetica-PLAIN-11.
	 */
	public static final Font courierFont = new Font("SansSerif", Font.PLAIN, 11);

	/**
	 * Helvetica-BOLD-11.
	 */
	public static final Font courierBoldFont = new Font("SansSerif", Font.BOLD, 11);

	/**
	 * line.separator.
	 */
	public static final String ls = System.getProperty("line.separator");

	/**
	 * path to images directory
	 */
	public static String imagePath = null;

	/**
	 * path to the root of PKI directories
	 */
	public static String pkiPath = null;

	/**
	 * path to configuration directory
	 */
	public static String configPath = null;

	static
	{
		pkiPath = System.getProperty("PKIHOME");
		if (pkiPath == null)
			pkiPath = System.getProperty("user.dir");

		imagePath = pkiPath + File.separator + "images" + File.separator;
		configPath = System.getProperty("configDir", ".") + File.separator;
	}
}

